failed when trying to update to latest evernote ios sdk #330

Closed
hermanccw opened this Issue Jun 13, 2012 · 8 comments

Comments

Projects
None yet
2 participants
@hermanccw

Hi all.

trying to upgrade to latest evernote ios sdk.

what I did.

  1. rm -rf Pods/evernote-ios-sdk
  2. change line in podFile to be
    dependency 'Evernote-SDK-iOS', :git => 'git://github.com/evernote/evernote-sdk-ios.git', :tag => '0.1.2'
  3. run pod install again.

here is the fail result.

  - Evernote-SDK-iOS (from `git://github.com/evernote/evernote-sdk-ios.git', tag `0.1.2')
  * Pre-downloading: 'Evernote-SDK-iOS'
-> Cloning git repo
   $ /usr/bin/git rev-list --max-count=1 0.1.2
   f915759b730a0bdddfaa7f4f83b7c05f93c9e094
   $ /usr/bin/git init
   Reinitialized existing Git repository in /Users/hchan/development/iphone/simplyUs/Pods/Evernote-SDK-iOS/.git/
   $ /usr/bin/git remote add origin '/Users/hchan/Library/Caches/CocoaPods/Git/ab4e202ae618d4938da471746cae48d1774a8820'
   fatal: remote origin already exists.
   [!] Failed: /usr/bin/git remote add origin '/Users/hchan/Library/Caches/CocoaPods/Git/ab4e202ae618d4938da471746cae48d1774a8820'
   $ /usr/bin/git fetch origin tags/0.1.2
   From /Users/hchan/Library/Caches/CocoaPods/Git/ab4e202ae618d4938da471746cae48d1774a8820
    * tag               0.1.2      -> FETCH_HEAD
   $ /usr/bin/git reset --hard FETCH_HEAD
   HEAD is now at f915759 Merge pull request #9 from mcglincy/master
   $ /usr/bin/git checkout -b activated-pod-commit
   fatal: A branch named 'activated-pod-commit' already exists.
   [!] Failed: /usr/bin/git checkout -b activated-pod-commit

Stack

   CocoaPods : 0.6.0.rc2
        Ruby : ruby 1.9.2p180 (2011-02-18 revision 30909) [x86_64-darwin10.8.0]
    RubyGems : 1.8.10
        Host : Mac OS X 10.7.3 (11D50)
       Xcode : 4.3.3 (4E3002)
Ruby lib dir : /Users/hchan/.rvm/rubies/ruby-1.9.2-p180/lib
Repositories : master - git://github.com/CocoaPods/Specs.git @ 8afedc75751e0fb96ab9b25cdce9fbfdf19ed7b2

Podfile

platform :ios
dependency 'QuickDialog'
dependency 'RestKit'
dependency 'ShareKit'
dependency 'ASIHTTPRequest'
dependency 'BlocksKit'
dependency 'Evernote-SDK-iOS', :git => 'git://github.com/evernote/evernote-sdk-ios.git', :tag => '0.1.2'

Error

undefined method `exists?' for nil:NilClass
/Users/xxx/development/iphone/xxx/xxx.xcodeproj/ruby/1.9.1/bundler/gems/CocoaPods-fd5c7045e3b6/lib/cocoapods/dependency.rb:140:in `specification_from_sandbox'

@fabiopelosin

This comment has been minimized.

Show comment Hide comment
@fabiopelosin

fabiopelosin Jun 13, 2012

Member

It looks like you are not deleting the folder. rm -rf Pods/evernote-ios-sdk should be rm -rf Pods/Evernote-SDK-iOS.

Member

fabiopelosin commented Jun 13, 2012

It looks like you are not deleting the folder. rm -rf Pods/evernote-ios-sdk should be rm -rf Pods/Evernote-SDK-iOS.

@hermanccw

This comment has been minimized.

Show comment Hide comment
@hermanccw

hermanccw Jun 13, 2012

hm... did that, but error still exists.

➜ xxx git:(1.18) ✗ rm -rf Pods/Evernote-SDK-iOS
➜ xxx git:(1.18) ✗ bundle exec pod install --verbose

Updating Spec Repositories

Updating spec repo `master'
$ /usr/bin/git pull
Already up-to-date.

Resolving dependencies of: /Users/hchan/development/iphone/simplyUs/Podfile

Resolving dependencies for target `default' (iOS)

  • QuickDialog
  • RestKit
    • RestKit/JSON (= 0.10.1)
      • RestKit/Network
        • LibComponentLogging-NSLog (>= 1.0.4)
          • LibComponentLogging-Core (>= 1.1.6)
        • cocoa-oauth
          • NSData+Base64 (~> 1.0)
        • FileMD5Hash
        • SOCKit
      • RestKit/ObjectMapping/JSON
        • JSONKit (>= 1.5pre)
        • ISO8601DateFormatter (>= 0.6)
        • RestKit/Network
      • RestKit/ObjectMapping/CoreData
        • ISO8601DateFormatter (>= 0.6)
        • RestKit/Network
      • RestKit/UI
        • UDTableView
  • ShareKit
    • SSKeychain
    • Reachability
    • ShareKit/Evernote (= 2.0)
      • SSKeychain
      • Reachability
    • ShareKit/Facebook (= 2.0)
      • Facebook-iOS-SDK
        • SBJson (= 2.2.3)
      • SSKeychain
      • Reachability
    • ShareKit/Flickr (= 2.0)
      • objectiveflickr
      • SSKeychain
      • Reachability
    • ShareKit/Foursquare (= 2.0)
      • SBJson
      • SSKeychain
      • Reachability
    • ShareKit/GoogleReader (= 2.0)
      • SSKeychain
      • Reachability
    • ShareKit/Instapaper (= 2.0)
      • SSKeychain
      • Reachability
    • ShareKit/LinkedIn (= 2.0)
      • SSKeychain
      • Reachability
    • ShareKit/Pinboard (= 2.0)
      • SSKeychain
      • Reachability
    • ShareKit/ReadItLater (= 2.0)
      • SSKeychain
      • Reachability
    • ShareKit/Tumblr (= 2.0)
      • SSKeychain
      • Reachability
    • ShareKit/Twitter (= 2.0)
      • JSONKit
      • SSKeychain
      • Reachability
    • ShareKit/Vkontakte (= 2.0)
      • JSONKit
      • SSKeychain
      • Reachability
  • ASIHTTPRequest
    • Reachability
    • ASIHTTPRequest/ASIWebPageRequest (= 1.8.1)
      • Reachability
    • ASIHTTPRequest/CloudFiles (= 1.8.1)
      • Reachability
    • ASIHTTPRequest/S3 (= 1.8.1)
      • Reachability
  • BlocksKit
    • A2DynamicDelegate
      • libffi
  • Evernote-SDK-iOS (from git://github.com/evernote/evernote-sdk-ios.git', tag0.1.2')
  • Pre-downloading: 'Evernote-SDK-iOS'
    -> Cloning git repo
    $ /usr/bin/git rev-list --max-count=1 0.1.2
    f915759b730a0bdddfaa7f4f83b7c05f93c9e094
    $ /usr/bin/git init
    Initialized empty Git repository in /Users/hchan/development/iphone/simplyUs/Pods/Evernote-SDK-iOS/.git/
    $ /usr/bin/git remote add origin '/Users/hchan/Library/Caches/CocoaPods/Git/ab4e202ae618d4938da471746cae48d1774a8820'
    $ /usr/bin/git fetch origin tags/0.1.2
    From /Users/hchan/Library/Caches/CocoaPods/Git/ab4e202ae618d4938da471746cae48d1774a8820
    • tag 0.1.2 -> FETCH_HEAD
      $ /usr/bin/git reset --hard FETCH_HEAD
      HEAD is now at f915759 Merge pull request #9 from mcglincy/master
      $ /usr/bin/git checkout -b activated-pod-commit
      Switched to a new branch 'activated-pod-commit'

――― MARKDOWN TEMPLATE ―――――――――――――――――――――――――――――――――――――――――――――――――――――――――――

Report

  • What did you do?
  • What did you expect to happen?
  • What happened instead?

Stack

   CocoaPods : 0.6.0.rc2
        Ruby : ruby 1.9.2p180 (2011-02-18 revision 30909) [x86_64-darwin10.8.0]
    RubyGems : 1.8.10
        Host : Mac OS X 10.7.3 (11D50)
       Xcode : 4.3.3 (4E3002)
Ruby lib dir : /Users/hchan/.rvm/rubies/ruby-1.9.2-p180/lib
Repositories : master - git://github.com/CocoaPods/Specs.git @ 8afedc75751e0fb96ab9b25cdce9fbfdf19ed7b2

Podfile

platform :ios
dependency 'QuickDialog'
dependency 'RestKit'
dependency 'ShareKit'
dependency 'ASIHTTPRequest'
dependency 'BlocksKit'
dependency 'Evernote-SDK-iOS', :git => 'git://github.com/evernote/evernote-sdk-ios.git', :tag => '0.1.2'

Error

undefined method `exists?' for nil:NilClass

/Users/xxx/development/iphone/xxx/xxx.xcodeproj/ruby/1.9.1/bundler/gems/CocoaPods-fd5c7045e3b6/lib/cocoapods/dependency.rb:140:in `specification_from_sandbox'
/Users/xxx/development/iphone/xxx/xxx.xcodeproj/ruby/1.9.1/bundler/gems/CocoaPods-fd5c7045e3b6/lib/cocoapods/resolver.rb:44:in `find_cached_set'
/Users/xxx/development/iphone/xxx/xxx.xcodeproj/ruby/1.9.1/bundler/gems/CocoaPods-fd5c7045e3b6/lib/cocoapods/resolver.rb:60:in `block in find_dependency_specs'
/Users/xxx/development/iphone/xxx/xxx.xcodeproj/ruby/1.9.1/bundler/gems/CocoaPods-fd5c7045e3b6/lib/cocoapods/resolver.rb:58:in `each'
/Users/xxx/development/iphone/xxx/xxx.xcodeproj/ruby/1.9.1/bundler/gems/CocoaPods-fd5c7045e3b6/lib/cocoapods/resolver.rb:58:in `find_dependency_specs'
/Users/xxx/development/iphone/xxx/xxx.xcodeproj/ruby/1.9.1/bundler/gems/CocoaPods-fd5c7045e3b6/lib/cocoapods/resolver.rb:25:in `block in resolve'
/Users/xxx/development/iphone/xxx/xxx.xcodeproj/ruby/1.9.1/bundler/gems/CocoaPods-fd5c7045e3b6/lib/cocoapods/resolver.rb:22:in `each'
/Users/xxx/development/iphone/xxx/xxx.xcodeproj/ruby/1.9.1/bundler/gems/CocoaPods-fd5c7045e3b6/lib/cocoapods/resolver.rb:22:in `resolve'
/Users/xxx/development/iphone/xxx/xxx.xcodeproj/ruby/1.9.1/bundler/gems/CocoaPods-fd5c7045e3b6/lib/cocoapods/installer.rb:172:in `specs_by_target'
/Users/xxx/development/iphone/xxx/xxx.xcodeproj/ruby/1.9.1/bundler/gems/CocoaPods-fd5c7045e3b6/lib/cocoapods/installer.rb:81:in `install!'
/Users/xxx/development/iphone/xxx/xxx.xcodeproj/ruby/1.9.1/bundler/gems/CocoaPods-fd5c7045e3b6/lib/cocoapods/command/install.rb:53:in `run'
/Users/xxx/development/iphone/xxx/xxx.xcodeproj/ruby/1.9.1/bundler/gems/CocoaPods-fd5c7045e3b6/lib/cocoapods/command.rb:69:in `run'
/Users/xxx/development/iphone/xxx/xxx.xcodeproj/ruby/1.9.1/bundler/gems/CocoaPods-fd5c7045e3b6/bin/pod:12:in `<top (required)>'
/Users/xxx/development/iphone/xxx/xxx.xcodeproj/ruby/1.9.1/bin/pod:19:in `load'
/Users/xxx/development/iphone/xxx/xxx.xcodeproj/ruby/1.9.1/bin/pod:19:in `<main>'

hm... did that, but error still exists.

➜ xxx git:(1.18) ✗ rm -rf Pods/Evernote-SDK-iOS
➜ xxx git:(1.18) ✗ bundle exec pod install --verbose

Updating Spec Repositories

Updating spec repo `master'
$ /usr/bin/git pull
Already up-to-date.

Resolving dependencies of: /Users/hchan/development/iphone/simplyUs/Podfile

Resolving dependencies for target `default' (iOS)

  • QuickDialog
  • RestKit
    • RestKit/JSON (= 0.10.1)
      • RestKit/Network
        • LibComponentLogging-NSLog (>= 1.0.4)
          • LibComponentLogging-Core (>= 1.1.6)
        • cocoa-oauth
          • NSData+Base64 (~> 1.0)
        • FileMD5Hash
        • SOCKit
      • RestKit/ObjectMapping/JSON
        • JSONKit (>= 1.5pre)
        • ISO8601DateFormatter (>= 0.6)
        • RestKit/Network
      • RestKit/ObjectMapping/CoreData
        • ISO8601DateFormatter (>= 0.6)
        • RestKit/Network
      • RestKit/UI
        • UDTableView
  • ShareKit
    • SSKeychain
    • Reachability
    • ShareKit/Evernote (= 2.0)
      • SSKeychain
      • Reachability
    • ShareKit/Facebook (= 2.0)
      • Facebook-iOS-SDK
        • SBJson (= 2.2.3)
      • SSKeychain
      • Reachability
    • ShareKit/Flickr (= 2.0)
      • objectiveflickr
      • SSKeychain
      • Reachability
    • ShareKit/Foursquare (= 2.0)
      • SBJson
      • SSKeychain
      • Reachability
    • ShareKit/GoogleReader (= 2.0)
      • SSKeychain
      • Reachability
    • ShareKit/Instapaper (= 2.0)
      • SSKeychain
      • Reachability
    • ShareKit/LinkedIn (= 2.0)
      • SSKeychain
      • Reachability
    • ShareKit/Pinboard (= 2.0)
      • SSKeychain
      • Reachability
    • ShareKit/ReadItLater (= 2.0)
      • SSKeychain
      • Reachability
    • ShareKit/Tumblr (= 2.0)
      • SSKeychain
      • Reachability
    • ShareKit/Twitter (= 2.0)
      • JSONKit
      • SSKeychain
      • Reachability
    • ShareKit/Vkontakte (= 2.0)
      • JSONKit
      • SSKeychain
      • Reachability
  • ASIHTTPRequest
    • Reachability
    • ASIHTTPRequest/ASIWebPageRequest (= 1.8.1)
      • Reachability
    • ASIHTTPRequest/CloudFiles (= 1.8.1)
      • Reachability
    • ASIHTTPRequest/S3 (= 1.8.1)
      • Reachability
  • BlocksKit
    • A2DynamicDelegate
      • libffi
  • Evernote-SDK-iOS (from git://github.com/evernote/evernote-sdk-ios.git', tag0.1.2')
  • Pre-downloading: 'Evernote-SDK-iOS'
    -> Cloning git repo
    $ /usr/bin/git rev-list --max-count=1 0.1.2
    f915759b730a0bdddfaa7f4f83b7c05f93c9e094
    $ /usr/bin/git init
    Initialized empty Git repository in /Users/hchan/development/iphone/simplyUs/Pods/Evernote-SDK-iOS/.git/
    $ /usr/bin/git remote add origin '/Users/hchan/Library/Caches/CocoaPods/Git/ab4e202ae618d4938da471746cae48d1774a8820'
    $ /usr/bin/git fetch origin tags/0.1.2
    From /Users/hchan/Library/Caches/CocoaPods/Git/ab4e202ae618d4938da471746cae48d1774a8820
    • tag 0.1.2 -> FETCH_HEAD
      $ /usr/bin/git reset --hard FETCH_HEAD
      HEAD is now at f915759 Merge pull request #9 from mcglincy/master
      $ /usr/bin/git checkout -b activated-pod-commit
      Switched to a new branch 'activated-pod-commit'

――― MARKDOWN TEMPLATE ―――――――――――――――――――――――――――――――――――――――――――――――――――――――――――

Report

  • What did you do?
  • What did you expect to happen?
  • What happened instead?

Stack

   CocoaPods : 0.6.0.rc2
        Ruby : ruby 1.9.2p180 (2011-02-18 revision 30909) [x86_64-darwin10.8.0]
    RubyGems : 1.8.10
        Host : Mac OS X 10.7.3 (11D50)
       Xcode : 4.3.3 (4E3002)
Ruby lib dir : /Users/hchan/.rvm/rubies/ruby-1.9.2-p180/lib
Repositories : master - git://github.com/CocoaPods/Specs.git @ 8afedc75751e0fb96ab9b25cdce9fbfdf19ed7b2

Podfile

platform :ios
dependency 'QuickDialog'
dependency 'RestKit'
dependency 'ShareKit'
dependency 'ASIHTTPRequest'
dependency 'BlocksKit'
dependency 'Evernote-SDK-iOS', :git => 'git://github.com/evernote/evernote-sdk-ios.git', :tag => '0.1.2'

Error

undefined method `exists?' for nil:NilClass

/Users/xxx/development/iphone/xxx/xxx.xcodeproj/ruby/1.9.1/bundler/gems/CocoaPods-fd5c7045e3b6/lib/cocoapods/dependency.rb:140:in `specification_from_sandbox'
/Users/xxx/development/iphone/xxx/xxx.xcodeproj/ruby/1.9.1/bundler/gems/CocoaPods-fd5c7045e3b6/lib/cocoapods/resolver.rb:44:in `find_cached_set'
/Users/xxx/development/iphone/xxx/xxx.xcodeproj/ruby/1.9.1/bundler/gems/CocoaPods-fd5c7045e3b6/lib/cocoapods/resolver.rb:60:in `block in find_dependency_specs'
/Users/xxx/development/iphone/xxx/xxx.xcodeproj/ruby/1.9.1/bundler/gems/CocoaPods-fd5c7045e3b6/lib/cocoapods/resolver.rb:58:in `each'
/Users/xxx/development/iphone/xxx/xxx.xcodeproj/ruby/1.9.1/bundler/gems/CocoaPods-fd5c7045e3b6/lib/cocoapods/resolver.rb:58:in `find_dependency_specs'
/Users/xxx/development/iphone/xxx/xxx.xcodeproj/ruby/1.9.1/bundler/gems/CocoaPods-fd5c7045e3b6/lib/cocoapods/resolver.rb:25:in `block in resolve'
/Users/xxx/development/iphone/xxx/xxx.xcodeproj/ruby/1.9.1/bundler/gems/CocoaPods-fd5c7045e3b6/lib/cocoapods/resolver.rb:22:in `each'
/Users/xxx/development/iphone/xxx/xxx.xcodeproj/ruby/1.9.1/bundler/gems/CocoaPods-fd5c7045e3b6/lib/cocoapods/resolver.rb:22:in `resolve'
/Users/xxx/development/iphone/xxx/xxx.xcodeproj/ruby/1.9.1/bundler/gems/CocoaPods-fd5c7045e3b6/lib/cocoapods/installer.rb:172:in `specs_by_target'
/Users/xxx/development/iphone/xxx/xxx.xcodeproj/ruby/1.9.1/bundler/gems/CocoaPods-fd5c7045e3b6/lib/cocoapods/installer.rb:81:in `install!'
/Users/xxx/development/iphone/xxx/xxx.xcodeproj/ruby/1.9.1/bundler/gems/CocoaPods-fd5c7045e3b6/lib/cocoapods/command/install.rb:53:in `run'
/Users/xxx/development/iphone/xxx/xxx.xcodeproj/ruby/1.9.1/bundler/gems/CocoaPods-fd5c7045e3b6/lib/cocoapods/command.rb:69:in `run'
/Users/xxx/development/iphone/xxx/xxx.xcodeproj/ruby/1.9.1/bundler/gems/CocoaPods-fd5c7045e3b6/bin/pod:12:in `<top (required)>'
/Users/xxx/development/iphone/xxx/xxx.xcodeproj/ruby/1.9.1/bin/pod:19:in `load'
/Users/xxx/development/iphone/xxx/xxx.xcodeproj/ruby/1.9.1/bin/pod:19:in `<main>'
@fabiopelosin

This comment has been minimized.

Show comment Hide comment
@fabiopelosin

fabiopelosin Jun 13, 2012

Member
dependency 'Evernote-SDK-iOS', :git => 'git://github.com/evernote/evernote-sdk-ios.git', :tag => '0.1.2'

This way of specifying a dependency requires that there is a podspec file in the repo of pod. You can use one of the other options documented in the wiki.

Nonetheless, the error is not very informative and it should be improved.

Member

fabiopelosin commented Jun 13, 2012

dependency 'Evernote-SDK-iOS', :git => 'git://github.com/evernote/evernote-sdk-ios.git', :tag => '0.1.2'

This way of specifying a dependency requires that there is a podspec file in the repo of pod. You can use one of the other options documented in the wiki.

Nonetheless, the error is not very informative and it should be improved.

@hermanccw

This comment has been minimized.

Show comment Hide comment
@hermanccw

hermanccw Jun 13, 2012

alright thanks!

alright thanks!

@hermanccw hermanccw closed this Jun 13, 2012

@hermanccw

This comment has been minimized.

Show comment Hide comment
@hermanccw

hermanccw Jun 13, 2012

ok, here is my new podfile

platform :ios
dependency 'QuickDialog'
dependency 'RestKit'
dependency 'ShareKit'
dependency 'ASIHTTPRequest'
dependency 'BlocksKit'

Pod::Spec.new do |s|
s.name = 'Evernote-SDK-iOS'
s.version = '0.1.2'
s.platform = :ios
s.license = 'https://github.com/evernote/evernote-sdk-ios/blob/master/LICENSE'
s.summary = 'Evernote SDK for iOS.'
s.homepage = 'https://github.com/evernote/evernote-sdk-ios'
s.author = 'Evernote'
s.source = { :git => 'https://github.com/evernote/evernote-sdk-ios.git', :tag => '0.1.2' }
s.source_files = 'evernote-sdk-ios/*/.{h,m}'
s.clean_paths = 'evernote-sdk-ios.xcodeproj', 'SampleApp', 'evernote-sdk-ios/3rdParty/cocoa-oauth', 'evernote-sdk-ios/3rdParty/SSKeychain'
s.frameworks = 'Foundation', 'Security'
s.dependency 'cocoa-oauth', '> 0.0.1'
s.dependency 'SSKeychain', '
> 0.1.2'
end

but when I run pod install on it again, it didn't generate the Evernote-SDK-iOS folder that I used to have, any hints?

ok, here is my new podfile

platform :ios
dependency 'QuickDialog'
dependency 'RestKit'
dependency 'ShareKit'
dependency 'ASIHTTPRequest'
dependency 'BlocksKit'

Pod::Spec.new do |s|
s.name = 'Evernote-SDK-iOS'
s.version = '0.1.2'
s.platform = :ios
s.license = 'https://github.com/evernote/evernote-sdk-ios/blob/master/LICENSE'
s.summary = 'Evernote SDK for iOS.'
s.homepage = 'https://github.com/evernote/evernote-sdk-ios'
s.author = 'Evernote'
s.source = { :git => 'https://github.com/evernote/evernote-sdk-ios.git', :tag => '0.1.2' }
s.source_files = 'evernote-sdk-ios/*/.{h,m}'
s.clean_paths = 'evernote-sdk-ios.xcodeproj', 'SampleApp', 'evernote-sdk-ios/3rdParty/cocoa-oauth', 'evernote-sdk-ios/3rdParty/SSKeychain'
s.frameworks = 'Foundation', 'Security'
s.dependency 'cocoa-oauth', '> 0.0.1'
s.dependency 'SSKeychain', '
> 0.1.2'
end

but when I run pod install on it again, it didn't generate the Evernote-SDK-iOS folder that I used to have, any hints?

@hermanccw hermanccw reopened this Jun 13, 2012

@hermanccw

This comment has been minimized.

Show comment Hide comment
@hermanccw

hermanccw Jun 13, 2012

nvm, found my syntax error

nvm, found my syntax error

@hermanccw

This comment has been minimized.

Show comment Hide comment
@hermanccw

hermanccw Jun 14, 2012

@irrationalfab just wanted to know what you mean by "This way of specifying a dependency requires that there is a podspec file in the repo of pod. You can use one of the other options documented in the wiki."

the evernote-sdk-ios does have a podspec in the spec repo. https://github.com/CocoaPods/Specs/blob/master/Evernote-SDK-iOS/0.1.0/Evernote-SDK-iOS.podspec

@irrationalfab just wanted to know what you mean by "This way of specifying a dependency requires that there is a podspec file in the repo of pod. You can use one of the other options documented in the wiki."

the evernote-sdk-ios does have a podspec in the spec repo. https://github.com/CocoaPods/Specs/blob/master/Evernote-SDK-iOS/0.1.0/Evernote-SDK-iOS.podspec

@fabiopelosin

This comment has been minimized.

Show comment Hide comment
@fabiopelosin

fabiopelosin Jun 15, 2012

Member

@hermanccw I meant that the podspec file should be in the root of the library repo. It is a feature to load libraries that don't have the podspec in the master repo.

For more info, see https://github.com/CocoaPods/CocoaPods/wiki/Dependency-declaration-options.

Member

fabiopelosin commented Jun 15, 2012

@hermanccw I meant that the podspec file should be in the root of the library repo. It is a feature to load libraries that don't have the podspec in the master repo.

For more info, see https://github.com/CocoaPods/CocoaPods/wiki/Dependency-declaration-options.

jzapater pushed a commit to jzapater/CocoaPods that referenced this issue Sep 17, 2013

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment